## START: Set by rpmautospec
## (rpmautospec version 0.7.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

# prevent executables from being installed
%global cargo_install_bin 0

%global crate libpanel

Name:           rust-libpanel
Version:        0.5.0
Release:        %autorelease
Summary:        Rust bindings for GNOME libpanel

License:        MIT
URL:            https://crates.io/crates/libpanel
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
Patch:          libpanel-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Rust bindings for GNOME libpanel.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/COPYING
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+adw_v1_2-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+adw_v1_2-devel %{_description}

This package contains library source intended for building other packages which
use the "adw_v1_2" feature of the "%{crate}" crate.

%files       -n %{name}+adw_v1_2-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+v1_2-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+v1_2-devel %{_description}

This package contains library source intended for building other packages which
use the "v1_2" feature of the "%{crate}" crate.

%files       -n %{name}+v1_2-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+v1_4-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+v1_4-devel %{_description}

This package contains library source intended for building other packages which
use the "v1_4" feature of the "%{crate}" crate.

%files       -n %{name}+v1_4-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+v1_8-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+v1_8-devel %{_description}

This package contains library source intended for building other packages which
use the "v1_8" feature of the "%{crate}" crate.

%files       -n %{name}+v1_8-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep
# Remove examples until upstream moves them
# to the correct target
# https://gitlab.gnome.org/World/Rust/libpanel-rs/-/issues/8
rm -rf examples

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Thu Sep 26 2024 Jonathan Steffan <jsteffan@fedoraproject.org> - 0.5.0-1
- Update to 0.5.0

* Tue Aug 27 2024 Jonathan Steffan <jsteffan@fedoraproject.org> - 0.4.0-1
- Initial import (fedora#2297995).
## END: Generated by rpmautospec
